### Name: npcdensbw
### Title: Kernel Conditional Density Bandwidth Selection with Mixed
###   Datatypes
### Aliases: npcdensbw npcdensbw.NULL npcdensbw.conbandwidth
###   npcdensbw.default npcdensbw.formula
### Keywords: nonparametric

### ** Examples

# EXAMPLE 1 (INTERFACE=FORMULA): For this example, we compute the
# likelihood cross-validated bandwidths (default) using a second-order
# Gaussian kernel (default). Note - this may take a minute or two
# depending on the speed of your computer. We override the default
# tolerances for the search method as the objective function is
# well-behaved (don't of course do this in general).

data("Italy")
attach(Italy)

bw <- npcdensbw(formula=gdp~ordered(year), tol=.1, ftol=.1)

# The object bw can be used for further estimation using
# npcdens(), plotting using npplot() etc. Entering the name of
# the object provides useful summary information, and names() will also
# provide useful information.

summary(bw)

# Note - see the example for npudensbw() for multiple illustrations
# of how to change the kernel function, kernel order, and so forth.

detach(Italy)

# EXAMPLE 1 (INTERFACE=DATAFRAME): For this example, we compute the
# likelihood cross-validated bandwidths (default) using a second-order
# Gaussian kernel (default). Note - this may take a minute or two
# depending on the speed of your computer. We override the default
# tolerances for the search method as the objective function is
# well-behaved (don't of course do this in general).

data("Italy")
attach(Italy)

bw <- npcdensbw(xdat=ordered(year), ydat=gdp, tol=.1, ftol=.1)

# The object bw can be used for further estimation using
# npcdens(), plotting using npplot() etc. Entering the name of
# the object provides useful summary information, and names() will also
# provide useful information.

summary(bw)

# Note - see the example for npudensbw() for multiple illustrations
# of how to change the kernel function, kernel order, and so forth.

detach(Italy)



